libetonyek::PAG1AnnotationContext Class Reference documentation

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::PAG1AnnotationContext Class Reference

`#include <PAG1AnnotationContext.h>`

Inheritance diagram for libetonyek::PAG1AnnotationContext:

## Public Types
typedef boost::function< void(const std::string &)> | CollectFunction_t

## Public Member Functions
| PAG1AnnotationContext (PAG1ParserState &state, const CollectFunction_t &collect)
Public Member Functions inherited from libetonyek::PAG1XMLContextBase< Base >
| PAG1XMLContextBase (PAG1ParserState &state)
template<typename T1 >
| PAG1XMLContextBase (PAG1ParserState &state, T1 arg1)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, PAG1ParserState, PAGCollector >
| IWORKXMLContextBase (PAG1ParserState &state)
| IWORKXMLContextBase (PAG1ParserState &state, const T &a)
PAG1ParserState & | getState ()

## Private Member Functions
void | startOfElement () override
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
const CollectFunction_t | m_collect
boost::optional< std::string > | m_target

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, PAG1ParserState, PAGCollector >
PAGCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, PAG1ParserState, PAGCollector >
PAG1ParserState & | m_state

## Member Typedef Documentation

## ◆ CollectFunction_t

typedef boost::function<void(const std::string &)> libetonyek::PAG1AnnotationContext::CollectFunction_t

## Constructor & Destructor Documentation

## ◆ PAG1AnnotationContext()

libetonyek::PAG1AnnotationContext::PAG1AnnotationContext | ( | PAG1ParserState & | state,
|  | const CollectFunction_t & | collect
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::PAG1AnnotationContext::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprivate

## ◆ element()

IWORKXMLContextPtr_t libetonyek::PAG1AnnotationContext::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::PAG1AnnotationContext::endOfElement | ( |  | ) |
| overrideprivate

## ◆ startOfElement()

void libetonyek::PAG1AnnotationContext::startOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_collect

const CollectFunction_t libetonyek::PAG1AnnotationContext::m_collect
| private

Referenced by endOfElement().

## ◆ m_target

boost::optional<std::string> libetonyek::PAG1AnnotationContext::m_target
| private

Referenced by attribute(), and endOfElement().

The documentation for this class was generated from the following files:

- PAG1AnnotationContext.h
- PAG1AnnotationContext.cpp